﻿@model List<Panda.App.Models.Receipt.ReceiptMyViewModel>

    @{
    ViewData["Title"] = "My";
    Layout = "~/Views/Shared/_Layout.cshtml";
    }

    <h1 class="mt-3">My Receipts</h1>
    <hr class="hr-2 bg-dark" />
    <div class="d-flex justify-content-between">
        <table class="table table-hover table-bordered">
            <thead>
                <tr class="row">
                    <th scope="col" class="col-lg-5 d-flex justify-content-center"><h3>Id</h3></th>
                    <th scope="col" class="col-lg-2 d-flex justify-content-center"><h3>Fee</h3></th>
                    <th scope="col" class="col-lg-2 d-flex justify-content-center"><h3>Issued On</h3></th>
                    <th scope="col" class="col-lg-2 d-flex justify-content-center"><h3>Recipient</h3></th>
                    <th scope="col" class="col-lg-1 d-flex justify-content-center"><h3>Actions</h3></th>
                </tr>
            </thead>
            <tbody>
                @foreach (var receipt in Model)
            {
                <tr class="row">
                    <th scope="row" class="col-lg-1 d-flex justify-content-center"><h5>@receipt.Id</h5></th>
                    <td scope="col" class="col-lg-4 d-flex justify-content-center"><h5>@receipt.Fee.ToString("F2")</h5></td>
                    <td scope="col" class="col-lg-1 d-flex justify-content-center"><h5>@receipt.IssuedOn</h5></td>
                    <td scope="col" class="col-lg-3 d-flex justify-content-center"><h5>@receipt.Recipient</h5></td>
                    <td scope="col" class="col-lg-1 d-flex justify-content-center">
                        <a href="/Receipts/Details/@receipt.Id" class="btn bg-dark text-white">Details</a>
                    </td>
                </tr>
            }
            </tbody>
        </table>
    </div>
